mat-dialog-content {
  p {
    font-size: 16px;
    color: #333;
    margin-bottom: 20px;
  }
}

mat-dialog-actions {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-top: 20px;

  button {
    margin-left: 10px;
    padding: 10px 20px;
    border-radius: 4px;
    font-weight: bold;
    transition: background-color 0.3s ease, transform 0.3s ease;

    &:hover {
      cursor: pointer;
      background-color: rgba(0, 0, 0, 0.1);
      transform: scale(1.05);
    }
  }

  .cancel-button {
    background-color: #f5f5f5;
    color: #333;

    &:hover {
      background-color: #e0e0e0;
    }
  }

  .delete-button {
    background-color: #d32f2f;
    color: #fff;

    &:hover {
      background-color: #c62828;
      animation: shake 0.5s;
    }
  }
}

@keyframes shake {
  0%, 100% {
    transform: translateX(0);
  }
  25% {
    transform: translateX(-5px);
  }
  50% {
    transform: translateX(5px);
  }
  75% {
    transform: translateX(-5px);
  }
}
